0

i am new to npm environments and sorry for english.

When i try to setup a JSS server like mentioned here https://jss.sitecore.com/docs/getting-started/quick-start.

Details:

Sitecore version : 9.3, JSS version : 9.3, Node version: v12.14.1, NPM version: 6.13.4.

Proxy setup:

Below step for proxy , then only i can able to download package.

npm config set registry http://registry.npmjs.org/

npm config set proxy http://myusername:mypassword@proxy.us.somecompany:8080

npm config set https-proxy

http://myusername:mypassword@proxy.us.somecompany:8080

npm config set strict-ssl false

set HTTPS_PROXY=http://myusername:mypassword@proxy.us.somecompany:8080

set HTTP_PROXY=http://myusername:mypassword@proxy.us.somecompany:8080

Steps followed:

below steps,

  1. Ran below cmd

npm install -g @sitecore-jss/sitecore-jss-cli

installed but few warnings like mentioned below,

\r>npm install -g @sitecore-jss/sitecore-jss-cli
npm WARN deprecated joi@14.3.1: This module has moved and is now available at @hapi/joi. Please update your dependencies as this version is no longer maintained an may contain bugs and security issues.
npm WARN deprecated topo@3.0.3: This module has moved and is now available at @hapi/topo. Please update your dependencies as this version is no longer maintained an may contain bugs and security issues.
npm WARN deprecated hoek@6.1.3: This module has moved and is now available at @hapi/hoek. Please update your dependencies as this version is no longer maintained an may contain bugs and security issues.

npm WARN tar invalid entry
npm WARN tarball tarball data for fsevents@~2.1.2 (sha512-==) seems to be corrupted. Trying one more time.

npm WARN tar invalid entry
npm WARN tarball tarball data for fsevents@~2.1.2 (sha512-==) seems to be corrupted. Trying one more time.
C:\Users\\AppData\Roaming\npm\jss -> C:\Users\\AppData\Roaming\npm\node_modules\@sitecore-jss\sitecore-jss-cli\dist\bin\jss.js
npm WARN ts-node@8.5.4 requires a peer of typescript@>=2.0 but none is installed. You must install peer dependencies yourself.
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents@2.1.2 (node_modules\@sitecore-jss\sitecore-jss-cli\node_modules\fsevents):
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: Verification failed while extracting fsevents@~2.1.2:
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: Verification failed while extracting fsevents@~2.1.2:
npm WARN optional SKIPPING OPTIONAL DEPENDENCY: sha512-== integrity checksum failed when using sha512: wanted 
sha512-== but got sha512-==. (2675 bytes)

+ @sitecore-jss/sitecore-jss-cli@13.0.0
added 232 packages from 242 contributors in 53.419s
  1. Ran below,

jss create my-first-jss-app react

Got simplified error below(due to length string),

\\r>jss create r react
JSS CLI is running in global mode because it was not installed in the local node_modules folder.
Acquiring templates from https://github.com/Sitecore/jss/archive/master.zip...
Extracting template react...
mkdir \.vscode\
mkdir \data\
mkdir \data\component-content\
mkdir \data\component-content\Styleguide\

npm WARN tarball tarball data for node-notifier@5.4.3 (sha512-{SHAKey}==) seems to be corrupted. Trying one more time.

npm WARN tar invalid entry
npm WARN tarball tarball data for node-notifier@5.4.3 (sha512-{SHAKey}==) seems to be corrupted. Trying one more time.

npm WARN tar ENOENT: no such file or directory, open '\node_modules\.staging\fs-extra-5a34bba3\lib\json\output-json-sync.js'

npm WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents@1.2.9 (node_modules\webpack-dev-server\node_modules\fsevents):
npm WARN enoent SKIPPING OPTIONAL DEPENDENCY: ENOENT: Cannot cd into '\node_modules\.staging\fsevents-044d861e'

npm ERR! code EINTEGRITY
npm ERR! Verification failed while extracting node-notifier@5.4.3:
npm ERR! Verification failed while extracting node-notifier@5.4.3:
npm ERR! sha512-{SHAKey}== integrity checksum failed when using sha512: wanted sha512-{SHAKey}== but got sha512-==. (2677 bytes)

npm ERR! A complete log of this run can be found in:
npm ERR!     C:\Users\user\AppData\Roaming\npm-cache\_logs\2020-01-09T15_10_43_629Z-debug.log

All packages downloaded but i try to

jss start

but no reaction.

i tried clear cache and re-install npm and all package. No helps.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.